Send Coupon Code Template Message

Send a template message that includes a 'Copy Code' button. You must pass the specific coupon code value in the button component parameters.

Example Request Body

{
  "messaging_product": "whatsapp",
  "to": "+919999XXXXXX",
  "type": "template",
  "template": {
    "name": "coupon_code_fall2023_25off",
    "language": {
      "code": "en"
    },
    "components": [
      {
        "type": "body",
        "parameters": [
          {
            "type": "text",
            "text": "25OFF"
          },
          {
            "type": "text",
            "text": "25%"
          }
        ]
      },
      {
        "type": "button",
        "sub_type": "COPY_CODE",
        "index": 1,
        "parameters": [
          {
            "type": "coupon_code",
            "coupon_code": "25OFF"
          }
        ]
      }
    ]
  }
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Defaults to v24.0
string
required

The ID of the phone number sending the message.

Body Params
string
required
Defaults to whatsapp
string
required

Recipient Phone Number

string
required
Defaults to template
template
object
required
Headers
string
required

Provide your Access Token. Format: YOUR_API_KEY

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json